$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.180.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.180.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C5BF6CBF9F2D2F3C4C025CD1AD362E28EDBF1674E9F9A76376B688F105AC4E32'
  checksumType = 'sha256'
  checksum64 = 'C5BF6CBF9F2D2F3C4C025CD1AD362E28EDBF1674E9F9A76376B688F105AC4E32'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.180-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
